/*
 * Copyright (c) 2019, PANNK and/or its affiliates. All rights reserved.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */
package com.pannk.mms.modules.sys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pannk.mms.modules.sys.entity.SysMenuEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author：wolf
 * @date：2020/11/2 23:35
 **/
@Mapper
public interface SysMenuMapper extends BaseMapper<SysMenuEntity> {

    /**
     * 查询用户菜单
     * @param userId 用户id
     * @return
     */
    List<SysMenuEntity> queryMenuList(Long userId);

}
